USB Thumb Drive can't mount anymore in Hardy

Bug #211760 reported by Jery Wang on 2008-04-04
48
This bug affects 3 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Low
Unassigned
Nominated for Hardy by dstoian

Bug Description

I am using Hardy always updated until April 1, 08.

I was able to use USB thumb drive before and it autodetects and it shows up in Nautilus.

But now, it never shows up anymore.

Here is the log from /var/log/syslog

Apr 4 14:06:21 NetworkManager: <debug> [1207278381.150702] nm_hal_device_added(): New device added (hal udi is '/org/freedesktop/Hal/devices/usb_device_204_6025_ 30153001128C0E01').
Apr 4 14:06:21 NetworkManager: <debug> [1207278381.290584] nm_hal_device_added(): New device added (hal udi is '/org/freedesktop/Hal/devices/usb_device_204_6025_ 30153001128C0E01_if0').
Apr 4 14:06:26 NetworkManager: <debug> [1207278386.411216] nm_hal_device_added(): New device added (hal udi is '/org/freedesktop/Hal/devices/usb_device_204_6025_ 30153001128C0E01_if0_scsi_host
').
Apr 4 14:06:26 NetworkManager: <debug> [1207278386.412624] nm_hal_device_added(): New device added (hal udi is '/org/freedesktop/Hal/devices/usb_device_204_6025_ 30153001128C0E01_if0_scsi_host
_scsi_device_lun0').
Apr 4 14:06:26 NetworkManager: <debug> [1207278386.426884] nm_hal_device_added(): New device added (hal udi is '/org/freedesktop/Hal/devices/usb_device_204_6025_ 30153001128C0E01_if0_scsi_host
_scsi_device_lun0_scsi_generic').

and after sometime:

Apr 4 14:11:19 NetworkManager: <debug> [1207278679.724368] nm_hal_device_removed(): Device removed (hal udi is '/org/freedesktop/Hal/devices/usb_device_204_6025_ 30153001128C0E01_if0_scsi_host_scsi_device_lun0_sc si_generic').
Apr 4 14:11:19 NetworkManager: <debug> [1207278679.730117] nm_hal_device_removed(): Device removed (hal udi is '/org/freedesktop/Hal/devices/usb_device_204_6025_ 30153001128C0E01_if0_scsi_host_scsi_device_lun0').
Apr 4 14:11:19 NetworkManager: <debug> [1207278679.731129] nm_hal_device_removed(): Device removed (hal udi is '/org/freedesktop/Hal/devices/usb_device_204_6025_ 30153001128C0E01_if0_scsi_host').
Apr 4 14:11:19 NetworkManager: <debug> [1207278679.733883] nm_hal_device_removed(): Device removed (hal udi is '/org/freedesktop/Hal/devices/usb_device_204_6025_ 30153001128C0E01_if0').
Apr 4 14:11:19 NetworkManager: <debug> [1207278679.736854] nm_hal_device_removed(): Device removed (hal udi is '/org/freedesktop/Hal/devices/usb_device_204_6025_ 30153001128C0E01').

and here is in dmesg:

[ 2827.107722] usb 7-3: new high speed USB device using ehci_hcd and address 5
[ 2827.128927] usb 7-3: configuration #1 chosen from 1 choice
[ 2827.347289] usbcore: registered new interface driver libusual
[ 2827.397384] Initializing USB Mass Storage driver...
[ 2827.407724] scsi5 : SCSI emulation for USB Mass Storage devices
[ 2827.408652] usbcore: registered new interface driver usb-storage
[ 2827.408657] USB Mass Storage support registered.
[ 2827.408743] usb-storage: device found at 5
[ 2827.408746] usb-storage: waiting for device to settle before scanning
[ 2828.252945] usb-storage: device scan complete
[ 2828.253298] scsi 5:0:0:0: Direct-Access CBM Flash Disk 5.00 PQ: 0 ANSI: 2
[ 2828.264727] sd 5:0:0:0: [sdb] 4161536 512-byte hardware sectors (2131 MB)
[ 2828.265344] sd 5:0:0:0: [sdb] Write Protect is off
[ 2828.265347] sd 5:0:0:0: [sdb] Mode Sense: 0b 00 00 08
[ 2828.265350] sd 5:0:0:0: [sdb] Assuming drive cache: write through
[ 2828.266971] sd 5:0:0:0: [sdb] 4161536 512-byte hardware sectors (2131 MB)
[ 2828.267593] sd 5:0:0:0: [sdb] Write Protect is off
[ 2828.267597] sd 5:0:0:0: [sdb] Mode Sense: 0b 00 00 08
[ 2828.267599] sd 5:0:0:0: [sdb] Assuming drive cache: write through
[ 2828.267603] sdb: sdb1
[ 2828.268631] sd 5:0:0:0: [sdb] Attached SCSI removable disk
[ 2828.268676] sd 5:0:0:0: Attached scsi generic sg2 type 0
[ 2836.883957] usb 7-3: reset high speed USB device using ehci_hcd and address 5
[ 2843.201216] usb 7-3: reset high speed USB device using ehci_hcd and address 5
[ 2854.655983] usb 7-3: reset high speed USB device using ehci_hcd and address 5
[ 2862.542306] usb 7-3: reset high speed USB device using ehci_hcd and address 5
[ 2874.007582] usb 7-3: reset high speed USB device using ehci_hcd and address 5
[ 2883.312835] usb 7-3: reset high speed USB device using ehci_hcd and address 5
[ 2883.445338] sd 5:0:0:0: [sdb] Result: hostbyte=DID_ABORT driverbyte=DRIVER_OK,SUGGEST_OK
[ 2883.445344] end_request: I/O error, dev sdb, sector 4161312
[ 2883.445347] Buffer I/O error on device sdb1, logical block 520160
[ 2893.732543] usb 7-3: reset high speed USB device using ehci_hcd and address 5
[ 2895.516893] usb 7-3: device descriptor read/64, error -110
[ 2899.201573] usb 7-3: device descriptor read/64, error -110
[ 2899.225502] usb 7-3: reset high speed USB device using ehci_hcd and address 5
[ 2901.423418] usb 7-3: device descriptor read/64, error -110
[ 2904.812330] usb 7-3: device descriptor read/64, error -110
[ 2904.831608] usb 7-3: reset high speed USB device using ehci_hcd and address 5
[ 2905.572981] usb 7-3: device descriptor read/8, error -110
[ 2906.278984] usb 7-3: device descriptor read/8, error -110
[ 2906.301863] usb 7-3: reset high speed USB device using ehci_hcd and address 5
[ 2909.068063] usb 7-3: device descriptor read/8, error -110
[ 2911.773818] usb 7-3: device descriptor read/8, error -110
[ 2911.852035] usb 7-3: USB disconnect, address 5
[ 2911.852416] scsi 5:0:0:0: Device offlined - not ready after error recovery
[ 2911.856781] scsi 5:0:0:0: [sdb] Result: hostbyte=DID_NO_CONNECT driverbyte=DRIVER_OK,SUGGEST_OK
[ 2911.856789] end_request: I/O error, dev sdb, sector 4161312
[ 2911.856794] Buffer I/O error on device sdb1, logical block 520160
[ 2911.856845] Buffer I/O error on device sdb1, logical block 520186
[ 2911.856856] Buffer I/O error on device sdb1, logical block 520186
[ 2911.856885] Buffer I/O error on device sdb1, logical block 0
[ 2911.856893] Buffer I/O error on device sdb1, logical block 1
[ 2911.856899] Buffer I/O error on device sdb1, logical block 0
[ 2911.856912] Buffer I/O error on device sdb1, logical block 0
[ 2911.856933] Buffer I/O error on device sdb1, logical block 520187
[ 2911.856948] Buffer I/O error on device sdb1, logical block 520187
[ 2911.856961] Buffer I/O error on device sdb1, logical block 520187
[ 2911.857349] scsi 5:0:0:0: rejecting I/O to dead device
[ 2911.967837] usb 7-3: new high speed USB device using ehci_hcd and address 6
[ 2919.211377] usb 7-3: device descriptor read/64, error -110
[ 2923.823292] usb 7-3: device descriptor read/64, error -110
[ 2924.038873] usb 7-3: new high speed USB device using ehci_hcd and address 7
[ 2928.662647] usb 7-3: device descriptor read/64, error -110
[ 2931.942718] usb 7-3: device descriptor read/64, error -110
[ 2932.070253] usb 7-3: new high speed USB device using ehci_hcd and address 8
[ 2933.157259] usb 7-3: device descriptor read/8, error -110
[ 2934.018149] usb 7-3: device descriptor read/8, error -110
[ 2934.152601] usb 7-3: new high speed USB device using ehci_hcd and address 9
[ 2935.565661] usb 7-3: device descriptor read/8, error -110
[ 2938.600146] usb 7-3: device descriptor read/8, error -110

joris (joris-dobbelaer-gmail) wrote :

Same problem here: it started after a upgrade to hardy

[ 40.281880] usb 4-1: device not accepting address 15, error -32
[ 40.393687] usb 4-6: new high speed USB device using ehci_hcd and address 16
[ 40.505488] usb 4-6: device descriptor read/64, error -32
[ 40.721843] usb 4-6: device descriptor read/64, error -32
[ 40.936775] usb 4-6: new high speed USB device using ehci_hcd and address 17
[ 41.048591] usb 4-6: device descriptor read/64, error -32
[ 41.264165] usb 4-6: device descriptor read/64, error -32
[ 41.479786] usb 4-6: new high speed USB device using ehci_hcd and address 18
[ 41.887092] usb 4-6: device not accepting address 18, error -32
[ 41.998884] usb 4-6: new high speed USB device using ehci_hcd and address 19

I found out that for a work around you can do:

sudo modprobe -r ehci_hcd

Usb drives will mount, but they are slow. I guess this is usb 1.0 speed, but i have no idea

aeiyr (aeiyr77) wrote :

I can confirm this problem with Hardy.

When I insert a USB thumb drive (I have tried several, so it isn't the one specific drive) I'm given a dialog of: "Cannot Mount Volume: Invald mount option when attempting to mount the volume 'ThumbDrive'"

The thumb drive has worked with Ubuntu since Breezy, at least. Installation is (was) a fresh Gutsy install from CD at Gutsy's release and upgraded to Hardy at Hardy's release through update-manger.

the dmesg output related to this is:

[ 2327.059203] usb-storage: device scan complete
[ 2327.060436] scsi 3:0:0:0: Direct-Access OTi Flash Disk 2.00 PQ: 0 ANSI: 2
[ 2328.134456] ready
[ 2328.135573] sd 3:0:0:0: [sda] 256000 512-byte hardware sectors (131 MB)
[ 2328.136450] sd 3:0:0:0: [sda] Write Protect is off
[ 2328.136458] sd 3:0:0:0: [sda] Mode Sense: 03 00 00 00
[ 2328.136464] sd 3:0:0:0: [sda] Assuming drive cache: write through
[ 2328.140099] sd 3:0:0:0: [sda] 256000 512-byte hardware sectors (131 MB)
[ 2328.141449] sd 3:0:0:0: [sda] Write Protect is off
[ 2328.141456] sd 3:0:0:0: [sda] Mode Sense: 03 00 00 00
[ 2328.141463] sd 3:0:0:0: [sda] Assuming drive cache: write through
[ 2328.141479] sda: unknown partition table
[ 2328.145029] sd 3:0:0:0: [sda] Attached SCSI removable disk
[ 2328.145157] sd 3:0:0:0: Attached scsi generic sg0 type 0

I'm assuming the entry "sda: unknown partition table" is the trouble spot here. The drive was originally FAT16, and was reformatted into FAT32 using Windows. Same entry. It appears in Nautilus with its name, just not mounted. I can manually mountunmount the drive using "sudo mount" and "sudo umount".

Also, an external USB hard drive (ntfs) is auto-mounted and useable, as well as the internal XP drive (ntfs).
I'd rather not use the above fix (sudo modprobe -r ehci_hcd) if it means slower use for all usb-mounted drives, as a slow external hard drive is a killer when backing up large amounts of data.

Dmitriy Geels (dmig) wrote :

just faced this bug using transcend cardreader.
reader is visible as dev/sd*, but cards are not accessible

removing module ehci_hcd helped, but also got some messages:
usb 3-2: reset full speed USB device using uhci_hcd and address 3

dn (nobled) wrote :

 I was suffering from this, and it turned out to be bug #151025, or close to it. The mysterious "invalid mount option" error message that never revealed which option it complained about is gone now. I looked in GConf [Press Alt+F2 and type gconf-editor], and for FAT filesystems -- /system/storage/default_options/vfat -- the variable "mount_options" was set to:

[shortname=mixed,uid=,utf8,umask=007,exec,usefree]

I removed all the options one by one until deleting 'usefree' made auto-mounting possible again. Was this a new setting in Hardy?

Robert (robrwo) wrote :

I am using Xubuntu Hardy, but have a similar problem. USB drives (pen drives, mobile phones, external hard drives) are automounted when I've done a fresh reboot.

But after resuming from suspend/hibernation, they are no longer automounted. Nor are the USB devices there to mount manually.

Also, if a pen drive is removed without unmounting, the same problem happens: I am no longer able to mount any USB drive ntil I reboot.

I note that the USB mouse will still work (usually).

Robert (robrwo) wrote :

It this related to bug 204638 or 218494?

aeiyr (aeiyr77) wrote :

I can confrim that D N's solution works, removing "usefree" from the gconf entry enables automounting of USB thumb drives. Nicely done, D N.

On Sat, 2008-05-24 at 05:58 +0000, aeiyr wrote:
> I can confrim that D N's solution works, removing "usefree" from the
> gconf entry enables automounting of USB thumb drives. Nicely done, D N.

It doesn't work for me. I don't have the "usefree" gconf entry.

István Váradi (ivaradi) wrote :

I have the same problem, and the reason (in my case) is not the usefree option, since I don't have. My installation was a Feisty, upgraded to Gutsy and now Hardy. The automount stopped working after upgrading to Hardy.

However, I noticed, that if I disable networking via the nm-applet, automounting starts to work (no need to reboot or log out and in). If I turn networkin on, it fails again. This can be repeated several times.

karthikv (karthikv) wrote :

I can confirm István Váradi's observation. Disabling networking makes automounting work again. Enabling networking breaks automounting. What's the relation between these two?

Paul Jaros (madmike77) wrote :

Got this same Problem (still fiddling 'round what workaround works and what doesn't). Tuneing in to receive E-Mail Updates

Mark Callaghan (mdcallag) wrote :

I had this problem. Immediately after a fresh install of Hardy USB automount worked fine. After a few updates from the Update Manager it did not. Then I remembered that I am now using NX to connect to the box and am not at the console. The details here (http://iandefor.wordpress.com/2008/05/04/howto-the-secret-to-freebsd-and-hal/) solve the problem, except the files are under /etc/dbus-1. There is a policy for at_console which I assume was used until I began using NX.

Mark Callaghan (mdcallag) wrote :

In addition to the work above, I had to add this to /etc/PolicyKit/PolicyKit.conf
    <match action="org.freedesktop.hal.storage.mount-removable">
        <return result="yes" />
    </match>

fewyun (fewyun) wrote :

"""
In addition to the work above, I had to add this to /etc/PolicyKit/PolicyKit.conf
    <match action="org.freedesktop.hal.storage.mount-removable">
        <return result="yes" />
    </match>
"""

The above worked for me without any other fixes

Robert (robrwo) wrote :

None of that works for me.

2008/6/17 Scott Fujan <email address hidden>:
> """
> In addition to the work above, I had to add this to /etc/PolicyKit/PolicyKit.conf
> <match action="org.freedesktop.hal.storage.mount-removable">
> <return result="yes" />
> </match>
> """
>
> The above worked for me without any other fixes
>

USSR (samuel-lee-1991) wrote :

All that does not work with my SanDisk thumbdrive (1GB)

I remembered I did able to use thumbdrive in Hardy, but maybe some updates (kernel??) caused it unworkable? I have no proof to say this, maybe folks can help me check it out.

dstoian (dstoian) wrote :

Why is there no importance attached to this bug? There is an incredibly huge number of people affected by this, including myself, and this used to work in Feisty.
Just google for "ubuntu usb automount" and see...

Jim (jimgalloway) wrote :
Download full text (7.8 KiB)

HI

Don't ask me. I just reported the bug like everybody else did. Nothing
seems to
have happened yet. I'm considering going back to 7.02 where it all worked

Jim

Quoting dstoian <email address hidden>:

> Why is there no importance attached to this bug? There is an
> incredibly huge number of people affected by this, including myself,
> and this used to work in Feisty.
> Just google for "ubuntu usb automount" and see...
>
> --
> USB Thumb Drive can't mount anymore in Hardy
> https://bugs.launchpad.net/bugs/211760
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Ubuntu: Confirmed
>
> Bug description:
> I am using Hardy always updated until April 1, 08.
>
> I was able to use USB thumb drive before and it autodetects and it
> shows up in Nautilus.
>
> But now, it never shows up anymore.
>
> Here is the log from /var/log/syslog
>
> Apr 4 14:06:21 NetworkManager: <debug> [1207278381.150702]
> nm_hal_device_added(): New device added (hal udi is
> '/org/freedesktop/Hal/devices/usb_device_204_6025_ 30153001128C0E01').
> Apr 4 14:06:21 NetworkManager: <debug> [1207278381.290584]
> nm_hal_device_added(): New device added (hal udi is
> '/org/freedesktop/Hal/devices/usb_device_204_6025_
> 30153001128C0E01_if0').
> Apr 4 14:06:26 NetworkManager: <debug> [1207278386.411216]
> nm_hal_device_added(): New device added (hal udi is
> '/org/freedesktop/Hal/devices/usb_device_204_6025_
> 30153001128C0E01_if0_scsi_host
> ').
> Apr 4 14:06:26 NetworkManager: <debug> [1207278386.412624]
> nm_hal_device_added(): New device added (hal udi is
> '/org/freedesktop/Hal/devices/usb_device_204_6025_
> 30153001128C0E01_if0_scsi_host
> _scsi_device_lun0').
> Apr 4 14:06:26 NetworkManager: <debug> [1207278386.426884]
> nm_hal_device_added(): New device added (hal udi is
> '/org/freedesktop/Hal/devices/usb_device_204_6025_
> 30153001128C0E01_if0_scsi_host
> _scsi_device_lun0_scsi_generic').
>
>
>
> and after sometime:
>
> Apr 4 14:11:19 NetworkManager: <debug> [1207278679.724368]
> nm_hal_device_removed(): Device removed (hal udi is
> '/org/freedesktop/Hal/devices/usb_device_204_6025_
> 30153001128C0E01_if0_scsi_host_scsi_device_lun0_sc si_generic').
> Apr 4 14:11:19 NetworkManager: <debug> [1207278679.730117]
> nm_hal_device_removed(): Device removed (hal udi is
> '/org/freedesktop/Hal/devices/usb_device_204_6025_
> 30153001128C0E01_if0_scsi_host_scsi_device_lun0').
> Apr 4 14:11:19 NetworkManager: <debug> [1207278679.731129]
> nm_hal_device_removed(): Device removed (hal udi is
> '/org/freedesktop/Hal/devices/usb_device_204_6025_
> 30153001128C0E01_if0_scsi_host').
> Apr 4 14:11:19 NetworkManager: <debug> [1207278679.733883]
> nm_hal_device_removed(): Device removed (hal udi is
> '/org/freedesktop/Hal/devices/usb_device_204_6025_
> 30153001128C0E01_if0').
> Apr 4 14:11:19 NetworkManager: <debug> [1207278679.736854]
> nm_hal_device_removed(): Device removed (hal udi is
> '/org/freedesktop/Hal/devices/usb_device_204_6025_ 30153001128C0E01').
>
>
> and here is in dmesg:
>
> [ 2827.107722] usb 7-3: new high speed USB device using ehci_hcd and
> address 5
> [ 2827.128927] usb 7-3: configuration #1 ...

Read more...

USSR (samuel-lee-1991) wrote :

So I got a workaround here.

sudo mount /dev/sda1 /media/usb will allow a mount of thumbdrive

So if any one need to mount / plug in both USB Thumb drive and MP3 (4) Player at the same time,

sudo mount /dev/sda1 /media/usb
sudo mount /dev/sdb1 /media/usb2

Where /media/usb is the thumbdrive location, assuming thumbdrive was plugged in first.

Floppy wise, then

sudo mount -t vfat /dev/fd0 /media/floppy

Well Floppy drive are usually in /dev/fd0 , unless someone have both Zip drive and floppy, then one of them would have been /dev/fd1
And one thing to note is that to mount a floppy, a filesystem must be specified. This is not true for thumbdrive and MP3(4) Player. Why?

Both uses FAT32 what?

Furthermore, for Floppy that do not mount using Hardy tried my solution, it would have the original Floppy Disk Drive shown in Menu to become dban-1.0.7 and a new link called floppy 0
Why? (Oh yes click on the dban-1.0.7 button will result some error message which is shown below)

Yes, my locale is Chinese so I translated the error message into English:

Unable to mount volume
Unable to mount volume dban-1.0.7
Detailed Message:
mount: /dev/fd0 has either mounted or /media/floppy0 is busy
mount: According to mtab, /dev/fd0 has already been mounted to /media/floppy0.

USSR (samuel-lee-1991) wrote :

This image shows an error message shows when I click on dban-1.0.7 instead of floppy0.

The translation of Chinese to English was shown above.

USSR (samuel-lee-1991) wrote :

One point to note is that when a person decided to unplug the USB device like thumb drive or MP3 Player, it will show

Unable to Unmount Volume
Volume 'My Disk' (Which is the name I gave to my thumb drive, this varies from each USB devices) possibly mounted through command-line manually.
Detailed Message:
Device to unmount is not in /media/.hal-mtab so it is not mounted by HAL.

Notice somewhere near the recycle bin icon, on the bottom right of the image, there is some message. It is as follows:

Writing Data to Device
Before deleting the device 'San Disk Cruzier Micro' (Which is my thumb drive's brand), there are data to be written on. Please do not unplug the device or disconnecting it.

PS: This message is not shown during my attempt to remove my MP3 Player. I did not copy, edit. move any files. Not even view. Also, my creative MP3 Player (Zen Stone) is not correctly shown the number of items and filename (All my music were Chinese were affected, either not shown or full of ??.mp3 (.wma, as my file are some MP3, others wma) , ????.mp3 (.wma) etc the default music by this player are named in English, which are not affected.)

This image will be shown on the next post.

USSR (samuel-lee-1991) wrote :

As described earlier,
Also, my creative MP3 Player (Zen Stone) is not correctly shown the number of items and filename (All my music were Chinese were affected, either not shown or full of ??.mp3 (.wma, as my file are some MP3, others wma) , ????.mp3 (.wma) etc the default music by this player are named in English, which are not affected.)

Here's the image.

USSR (samuel-lee-1991) wrote :

However, none of these applies in Floppy Unmount. Here's the image

Translation:

Unable to unmount floppy0
umount: Only Root can unmount /dev/fd0 from /media/floppy0

USSR (samuel-lee-1991) wrote :

Last but not least, on the previous image shown there is a dban-1.0.7 button. If I right click on that, it will show "Open", "Open from New Window", "Delete" (Greyed, which is not clickable / available), "Rename" (Greyed), "Mount" and "Rescan" respectively, from top to bottom.

Supurisingly, when I right click on the floppy0, it will show "Open", "Open from New Window", "Delete" (Greyed, which is not clickable / available), "Rename" (Greyed), "Unmount" respectively, from top to bottom.

Now click on Open or Open from New Window on dban-1.0.7.The floppy drive make a sound and resulted in:
Unable to mount volume
Unable to mount volume dban-1.0.7
Detailed Message:
mount: /dev/fd0 has either mounted or /media/floppy0 is busy
mount: According to mtab, /dev/fd0 has already been mounted to /media/floppy0.

Now click on same button, except in Floppy0, this results the window to show in Floppy drive, showing all my content as follows (In image)

Now click on mount in dban-1.0.7 which results:
Unable to mount volume
Unable to mount volume dban-1.0.7
Detailed Message:
mount: /dev/fd0 has either mounted or /media/floppy0 is busy
mount: According to mtab, /dev/fd0 has already been mounted to /media/floppy0.

Now click on Rescan button on dban-1.0.7 which results the floppy drive to show green light, no sound and no interface pop up.

Click on unmount on floppy0 will result:
Unable to unmount floppy0
umount: Only Root can unmount /dev/fd0 from /media/floppy0

USSR (samuel-lee-1991) wrote :

The chinese encoding problem on USB devices does not resolve when i clicked sudo mount -t vfat,utf-8 /dev/sdb1 /media/usb2

rlandrum (robertlandrum) wrote :

This is quite the bug, actually. I have two USB drives. My original, which I presumed was bad (since it wouldn't load in 8.04), still refuses to auto mount. It gets detected by the kernel, and recognized by hal, to some degree, but fails to actually mount anywhere. My other USB drive works flawlessly. Plug it in and it mounts.

I used the mtools package to attempt to determine the differences between the two. What I found was the the original device is missing a disk type attribute (well, it's blank). The working one shows FAT16.

Out of curiosity I tried to mount both manually (I disabled hal),

root@justice:~# /etc/init.d/hal stop
 * Stopping Hardware abstraction layer hald [ OK ]
root@justice:~# mount /dev/sdd1 /mnt
mount: you must specify the filesystem type

I swapped in the "working" drive.

root@justice:~# mount /dev/sdd1 /mnt
root@justice:~# ls /mnt/
... files ...

For some reason mount isn't detecting the filesystem correctly.

I decided to try dosfsck to see if I could perhaps fix the problem with my disk type attribute.

root@justice:~# dosfsck /dev/sdd1
dosfsck 2.11, 12 Mar 2005, FAT32, LFN
Seek to 4127161856:Invalid argument

And on the new one I get...

root@justice:~# dosfsck /dev/sdd1
dosfsck 2.11, 12 Mar 2005, FAT32, LFN
... copious output ...

I'm not sure exactly what all this means, but I suspect that the problem with most of these USB drives is that they were used with a previous version of ubuntu that corrupted them in some way so that the newest version is unable to automatically read and mount them.

Can anyone else confirm my findings?

density (krait) wrote :

For some this problem might be the result of a corrupted MBR + partition table.

I had my USB key formatted with VFAT, which doesn't seem to be a very good choice. After using it a few times only, automount stopped working and fdisk wasn't able to access the partition anymore.

Unless Windows compatibility is required, I suggest formatting the drive with EXT2/EXT3. At least, I never had a problem with that.

I solved the problem with:

dd if=/dev/zero of=/dev/{your_USB_device} bs=512 count=1

After that I was able to access the drive again and rebuilt the partition table.

Bobby Raydon (bobby-raydon) wrote :

Don't know if this helps anyone else, but I was able to resolve this by starting gparted and exiting. Based on some other bug reports, gparted prevents automounts while it is running: https://bugs.launchpad.net/ubuntu/+source/gparted/+bug/134712

Although the exact case in the old bug didn't apply to me, I just ran gparted and closed it and now things are automounting.

Adam Niedling (krychek) wrote :

Is this still an issue in Intrepid?

dstoian (dstoian) wrote :

@Adam Niedling:
Oh, come on guys, I'm not gonna upgrade to Intrepid, I don't wanna trip on the bugs introduced there.

@Bobby Raydon:
Gparted has nothing to do with this.

@density:
I need the USB drive in VFAT (not ext2/3). That doesn't solve the bug...

... It's been such a long time since this bug was posted here, and nobody gave a s**t. It's really - a shame.
I've worked around it by writing a script/bash file which mounts the usb and then starts Nautilus as root.

rlandrum (robertlandrum) wrote :

I managed to get my original broken USB drive to work.

1.) Manually mount drive
2.) Copy files to local disk
3.) Format USB drive
4.) Use mkdosfs to create new FAT32 filesystem
5.) Copy files to USB drive

Now it works under Mac OSX (and OS9, actually), Linux and Windows and automounts under all of them.

rlandrum@hydrogen:~$ echo "drive i: file=\"/dev/sdb1\"" > ~/.mtoolsrc
rlandrum@hydrogen:~$ sudo minfo i: | grep disk\ type
disk type="FAT32 "

That's the magic. If that's blank (as it was orignally), then it doesn't automount. I'm still unsure as to why that particular attribute was set to blank, or by which OS. What I also found when the attribute was blank was that the drive failed to auto mount on Mac OSX. Only on Windows did it work.

dan yotz (toastmiami2) wrote :

USB automount stopped working here as well ... I have 3 drives on my desk that worked a couple days ago, but now no longer... I can mount manually... per the Ubuntu wiki, I have attached the requested files... and the text:

id output:
uid=0(root) gid=0(root) groups=0(root)

id hal output:
id: hal: No such user

id hal daemon output:
uid=109(haldaemon) gid=118(haldaemon) groups=118(haldaemon)

uname -a output:
Linux toshubuntu 2.6.27-9-generic #1 SMP Thu Nov 20 21:57:00 UTC 2008 i686 GNU/Linux

additional files attached below

For the record...

I have a Zen Stone MP3 player which connects via USB and behaves as an "ordinary" drive. (by which I mean you can just drag and drop files onto it in Nautilus and also use it to store non-music data.)

<strong>Intrepid</strong>: On a friend's Intrepid it mounts automatically when connected, owned by the ordinary user.

<strong>Feisty</strong>: On Feisty, which I was using till recently, I'd put in an entry for fstab and created a mount point /media/zenplayer, and it was then able to mount automatically when connected (owned by me).
This was the fstab line:
/dev/disk/by-label/ZEN_Stone /media/zenplayer auto rw,user,noauto,sync 0 0

<strong>Hardy</strong>: A few weeks ago I did a fresh install of Hardy. I've accepted all recommendations of updates which Synaptic gives me, so I presume it's up to date. I just tried mounting the Zen Stone for the first time since then.

What I got was a popup
"Cannot mount volume.
Invalid mount option when attempting to mount the volume 'ZEN Stone'.
OK"

Mounting manually as root does work, though of course then it belongs to root. (For some reason it wouldn't let me sudo chown so the Zen filesystem belonged to me, but I can run Nautilus as root.) So I do have a workaround.

A couple of other USB things <em>have</em> auto-mounted OK on Hardy when I connected them, including one memory stick. (These were things which would auto-mount on Feisty too, without me having to add lines to fstab.)

I tried adding the fstab line which had worked in Feisty, and creating a similar mount point. That didn't make any difference - I just got the same popup error as before.

I tried looking in GConf as suggested above and there was no "usefree" setting.

Clues welcome if you think there's something I might have set up wrong.

I was planning to wait till the next LTS before upgrading, so I do rather hope someone can patch this in Hardy if it is a bug. Thanks in advance if that's possible.

dstoian (dstoian) wrote :

@jennifer:

please note that first you should connect your usb drive, then you must find where is your device (/dev/sda... sdb... sdc...) with this command in the terminal:

sudo fdisk -l

my usb drive is shown like this:

   Device Boot Start End Blocks Id System
/dev/sdb1 4 778189 7781856+ b W95 FAT32

please note that if you have several usb devices connected in the same time the place where it is recognized by the system - will change. so, always connect your drive in the same way (with or without other drives connected, and/or in the same sequence).

i created two scripts, one for mounting:

----------------------------------------------------------------------
#!/bin/bash
# file name: myusbmount.sh
sudo mount -t vfat /dev/sdb1 /media/myusb
gksudo nautilus
----------------------------------------------------------------------

beware, you must create the folder "/media/myusb" beforehand.

then, i wrote another script for unmounting:

----------------------------------------------------------------------
#!/bin/bash
# file name: myusbmount.sh
sudo umount /dev/sdb1
----------------------------------------------------------------------

this way you can create two buttons or two menu items and assign ehacg of those scripts to run when you select them. this is only a workaround, but it works for me :)

dstoian (dstoian) wrote :

re: my last post above

i made a typo.
the name for unmouting the usb drive must have a different name than the mounting script:

script for unmounting:

----------------------------------------------------------------------
#!/bin/bash
# file name: myusbunmount.sh
sudo umount /dev/sdb1
----------------------------------------------------------------------

rlandrum (robertlandrum) wrote :

@dstoian

A workaround isn't required. It's possible to fix the device by
reformatting as outlined in my Nov 21 2008 posting.

As I stated previously, it appears some USB devices were corrupted by
a previous version of ubuntu. I have no other explanation for the
corruption of the "disk type" attribute.

On 3/14/09, dstoian <email address hidden> wrote:
> re: my last post above
>
> i made a typo.
> the name for unmouting the usb drive must have a different name than the
> mounting script:
>
> script for unmounting:
>
> ----------------------------------------------------------------------
> #!/bin/bash
> # file name: myusbunmount.sh
> sudo umount /dev/sdb1
> ----------------------------------------------------------------------
>
> --
> USB Thumb Drive can't mount anymore in Hardy
> https://bugs.launchpad.net/bugs/211760
> You received this bug notification because you are a direct subscriber
> of the bug.
>

@rlandrum & everyone (esp. anyone with a Zen Stone MP3 player)

So today I tried reformatting the Creative Zen Stone, but unfortunately that seems to have broken it!

Symptoms: It won't mount manually any more, and it won't play back its audio either (when you switch it on, the light just goes off again after a second or two, which isn't its normal behaviour). Windows says it can't reformat it either. I've just done a support request to Creative to see if there's anything else I can try.

I realise this isn't strictly a Ubuntu bug question any more (or at least not the same bug), but I thought I'd better report back here to head off anyone else from landing in the same pickle.

It was definitely fine until I did the attempted reformat - I'd only just moved my data off it.

I'm not sure what happened, but the attempt to reformat may have run aground on http://savannah.gnu.org/bugs/?22138 - I did get an error message from gparted which I think was the same one, "Warning: Device /dev/sdd has a logical sector size of 2048. Not all parts of GNU Parted support this at the moment, and the working code is HIGHLY EXPERIMENTAL."

(so I would definitely suggest that if anyone _is_ going to try reformatting their Zen thing, they start with Windows, if they've got a Win box available.)

"fdisk -l" gives me

==== begin quote ====
Disk /dev/sdd: 990 MB, 990904320 bytes
31 heads, 61 sectors/track, 255 cylinders
Units = cylinders of 1891 * 2048 = 3872768 bytes
Disk identifier: 0x00090979

   Device Boot Start End Blocks Id System
==== end quote ====

so that's a degree of recognition...

(other HDs in my system show some info under the headings too, e.g. "/dev/sdc2 7162 9729 20627460 b W95 FAT32" - but that's missing for this entry, i.e. no sign of "/dev/sdd1" or block count etc)

The attempt to mount it manually now produces

==== begin quote ====
mount: special device /dev/sdd does not exist
==== end quote ====

A friend's Zen Stone developed a similar "not completely dead but won't talk to anything any more" problem... but that one was solved by returning it under guarantee, so doesn't really help me now... except to not be too surprised. At least they're not super-expensive if it turns out it is a goner.

Attempted-rescue-type suggestions would be welcome if not considered too off-topic here! thanks.

Also thanks @ dstoian for the scripts - will be useful to me if a new or rejuvenated Zen thing still can't be made to automount.

Freon (freongrr) wrote :

Ok.

With Intrepid, I had found a workaround for this bug: rmmod ehci_hcd
But it doesn't work anymore with Jaunty.

So far I have 3 USB drives:
- an external Hard Drive
- a USB Key
- my Sony camera (with a Compact Flash inside)

None of them mount.
(If I wait 5-10 minutes, the drives eventually shows up as /dev/sdb1 and I can mount it manually)

I've tried reformating. It worked once, but stopped working soon after that.
And I'm *not* reformating a 160GB drive every week. This bug really is a "show stopper".

Here is my log:

 Apr 27 09:46:55 xps kernel: [ 200.704178] usb 2-1: new high speed USB device using ehci_hcd and address 4
Apr 27 09:46:55 xps kernel: [ 200.841080] usb 2-1: configuration #1 chosen from 1 choice
Apr 27 09:46:55 xps kernel: [ 200.898065] Initializing USB Mass Storage driver...
Apr 27 09:46:55 xps kernel: [ 200.900228] scsi5 : SCSI emulation for USB Mass Storage devices
Apr 27 09:46:55 xps kernel: [ 200.901880] usbcore: registered new interface driver usb-storage
Apr 27 09:46:55 xps kernel: [ 200.901888] USB Mass Storage support registered.
Apr 27 09:47:00 xps kernel: [ 205.902379] scsi 5:0:0:0: Direct-Access WD 2500BEV External 1.05 PQ: 0 ANSI: 4
Apr 27 09:47:00 xps kernel: [ 205.905659] sd 5:0:0:0: [sdb] 488397168 512-byte hardware sectors: (250 GB/232 GiB)
Apr 27 09:47:00 xps kernel: [ 205.917477] sd 5:0:0:0: [sdb] Write Protect is off
Apr 27 09:47:00 xps kernel: [ 205.925783] sd 5:0:0:0: [sdb] 488397168 512-byte hardware sectors: (250 GB/232 GiB)
Apr 27 09:47:00 xps kernel: [ 205.926661] sd 5:0:0:0: [sdb] Write Protect is off
Apr 27 09:47:00 xps kernel: [ 205.926683] sdb: sdb1
Apr 27 09:47:00 xps kernel: [ 205.969565] sd 5:0:0:0: [sdb] Attached SCSI disk
Apr 27 09:47:00 xps kernel: [ 205.969706] sd 5:0:0:0: Attached scsi generic sg2 type 0

3 minutes later the drives mount:

Apr 27 09:49:30 xps kernel: [ 356.035614] sdhci-pci 0000:03:01.1: PCI INT B disabled
Apr 27 09:49:36 xps kernel: [ 362.105970] sdhci-pci 0000:03:01.1: SDHCI controller found [1180:0822] (rev 22)
Apr 27 09:49:36 xps kernel: [ 362.105998] sdhci-pci 0000:03:01.1: PCI INT B -> GSI 18 (level, low) -> IRQ 18
Apr 27 09:49:37 xps kernel: [ 362.135157] mmc0: SDHCI controller on PCI [0000:03:01.1] using DMA

Freon (freongrr) wrote :

Oooh what a surprise!
While I was posting the previous comment, I unplugged the drive and plugged it back.
And after some time it showed up on my desktop!

Apr 27 09:55:05 xps kernel: [ 691.084389] usb 2-1: new high speed USB device using ehci_hcd and address 5
Apr 27 09:55:06 xps kernel: [ 691.221256] usb 2-1: configuration #1 chosen from 1 choice
Apr 27 09:55:06 xps kernel: [ 691.224413] scsi6 : SCSI emulation for USB Mass Storage devices
Apr 27 09:55:11 xps kernel: [ 696.225147] scsi 6:0:0:0: Direct-Access WD 2500BEV External 1.05 PQ: 0 ANSI: 4
Apr 27 09:55:11 xps kernel: [ 696.227200] sd 6:0:0:0: [sdb] 488397168 512-byte hardware sectors: (250 GB/232 GiB)
Apr 27 09:55:11 xps kernel: [ 696.229566] sd 6:0:0:0: [sdb] Write Protect is off
Apr 27 09:55:11 xps kernel: [ 696.238080] sd 6:0:0:0: [sdb] 488397168 512-byte hardware sectors: (250 GB/232 GiB)
Apr 27 09:55:11 xps kernel: [ 696.239331] sd 6:0:0:0: [sdb] Write Protect is off
Apr 27 09:55:11 xps kernel: [ 696.239354] sdb: sdb1
Apr 27 09:55:11 xps kernel: [ 696.284536] sd 6:0:0:0: [sdb] Attached SCSI disk
Apr 27 09:55:11 xps kernel: [ 696.284676] sd 6:0:0:0: Attached scsi generic sg2 type 0

So, the log is exactly the same... Really useful.

The only difference is that I restarted hal between the two tries.

jjinco33 (jedadiah-williams) wrote :

Is there any update on resolving this bug?

I plug in a USB player and the first time it mounts. Then after being unmounted/ejected or just unplugged from the usb it will not remount upon being reconnected. lsusb will not even show it there again until teh machine is rebooted. Once rebooted it all works again.

I have tried restarting HAL and manually mounting the device with no luck.

Does this fit under this bug or do I need a new report?

Jeremy Audet (ichimonji10) wrote :
Download full text (4.2 KiB)

OK, so this bug has recently started affecting me too, on my laptop. I am getting the infamous -- and serious -- message that says, "Cannot mount volume. Invalid mount option when attempting to mount the volume 'drivename'." Here goes nothing.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Intro

I have two computers, as desktop and a laptop. The desktop computer is running Ubuntu 8.04 LTS 32-bit. It has had absolutely no problems working with usb drives of any sort. The laptop is also running Ubuntu 8.04 LTS, but the 64-bit version. The fact that 64-bit Ubuntu is the one giving me problems might be important. Both OS's were freshly installed within the last week.

The laptop has had absolutely no problems working with flash drives until yesterday. Heck, I even installed Ubuntu from a flash drive.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
The "first flash drive" problem

I have several flash drives, all formatted as FAT32 (otherwise known as VFAT?). The order I plug flash drives into my laptop DOES matter.

--The first flash drive I plug will not automatically mount.
--I can manually mount the first flash drive.
--The second flash drive I plug in will automatically mount.

--Here's the output of sudo fdisk -l with two flash drives plugged in.

==== begin quote ====
ichimonji10@ichimonji10-laptop:/media$ sudo fdisk -l

Disk /dev/sda: 320.0 GB, 320072933376 bytes
255 heads, 63 sectors/track, 38913 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
Disk identifier: 0x90ff53b7

   Device Boot Start End Blocks Id System
/dev/sda1 1 1828 14680064 27 Unknown
/dev/sda2 * 1828 25422 189515772 7 HPFS/NTFS
/dev/sda3 25423 38913 108366457+ 5 Extended
/dev/sda5 38416 38913 4000185 82 Linux swap / Solaris
/dev/sda6 25423 38414 104358177 83 Linux

Partition table entries are not in disk order

Disk /dev/sdb: 2055 MB, 2055019008 bytes
255 heads, 63 sectors/track, 249 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
Disk identifier: 0xb0020e6e

   Device Boot Start End Blocks Id System
/dev/sdb1 1 249 2000061 b W95 FAT32
ichimonji10@ichimonji10-laptop:/media$
==== end quote ====

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Fixes Attempted

I first attempted to remove the "usefree" option in gconf-editor. Obviously, the fix did not work. The solution is briefly outlined here: https://lists.ubuntu.com/archives/ubuntu-users/2008-October/163940.html

I secondly attempted to change HAL settings, as outlined in post #13 of this thread. Restarted hal using the command "/etc/init.d/hal restart" Did not help. After attempting fix, reverted to previous settings. By the way, post #12 seems like it could be helpful, but the link is broken. Can anyone help with that?

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Other Oddities

My laptop has no CD drive, yet even with no external devices plugged in "ls -l /media" gives me

==== begin quote ====
total 4
lrwxrwxrwx 1 root root 6 2009-08-21 13:18 cdrom -> cdrom0
drwxr-xr-x 2 root root 4096 2009-08-21 13:18 cdrom0
==== end quote ====

Additionally, even with NO flash dr...

Read more...

Jeremy Audet (ichimonji10) wrote :
Jeremy Audet (ichimonji10) wrote :

Have not had any problems with flash drives in ages. Dropping this.

rlandrum (robertlandrum) wrote :

Agreed. It's probably no longer an issue since 8/9/10 series seems fine.
It was the migration (I believe) from 6.04lts to 7 or 8 that caused all the
trouble.

Rob
On Mon, Mar 29, 2010 at 9:07 PM, Ichimonji10 <email address hidden> wrote:

> Have not had any problems with flash drives in ages. Dropping this.
>
> --
> USB Thumb Drive can't mount anymore in Hardy
> https://bugs.launchpad.net/bugs/211760
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Adam Niedling (krychek) wrote :

I'm setting this to Fix Released based on the last two comments. Please reopen if this is still an issue for you.

Changed in ubuntu:
status: Incomplete → Fix Released
Robert (robrwo) wrote :

I still have this problem on Koala!

On Tue, Mar 30, 2010 at 2:07 AM, Ichimonji10 <email address hidden> wrote:
> Have not had any problems with flash drives in ages. Dropping this.
>
> --
> USB Thumb Drive can't mount anymore in Hardy
> https://bugs.launchpad.net/bugs/211760
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Robert (robrwo) wrote :

I have a Sony/Erisson i800-series phone that can no longer be mounted in Ubuntu, since several releases ago. When the drive is removed from the phone and put into a separate device, it can be mounted, and Windows and Macs can also mount the drive through the phone, so I am sure that it's not a problem with the phone.

Ubuntu Koala can mount various sticks and external drives that I have, so it's not a problem with mounting USB devices in general.

Changed in ubuntu:
status: Fix Released → Confirmed
Dr. Anonymous (dr-anonymous) wrote :

This s|̽̇͛ͭ̔̀͐͗͏́͞͏̜̬̞͇̗͕͈͉̀-̶̌͑ͯ͏̞̯̣̭͔̺̖̺̥̥͕͈͞|̖̭͎͇̤̩̹̖̭̖̦̟͔͍̜̩̘̊̃̽ͦ͗̈́ͬ̎̄̈̏̈́ͪͮ̀́̕ͅ|͇͔̲̰̯͎̣͉̮̟̝̥̲̄̂̓͐̏̄͑ͨ̿̑̉͌ͣ͜͠t̸͒ͧ̋ͭͮ̏̋ͧͧ͏̧̤̹̼̲̰ is still problem these days.

FIX IT ALREADY

rlandrum (robertlandrum) wrote :

There's two independent problems which present themselves. Sometimes the
'disk type' attribute becomes corrupted and the USB stick can no longer be
automounted by most OSes (Windows is the exception). The other issue is in
the configuration within Gnome. Gnome is sometimes set to ignore certain
disk types and will no auto mount them.

You can check your disk type attribute using the mtools package.

$ echo "drive i: file=\"/dev/sdb1\"" > ~/.mtoolsrc
$ sudo minfo i: | grep disk\ type

Note: the path to your usb device may be different than /dev/sdb1. You can
scan /var/log/messages or /var/log/syslog to determine where your device
might be located.

If you get anything other than FAT32, you probably have a corrupt USB stick
and will need to reformat. I've found no fix other than reformatting.

If everything checks out, your system may not be configured correctly.
There's a number of ways this can be fixed. One of the more common problems
is on laptops without CD/DVD drives. The fstab line for the optical drive
needs to be commented out. That fixes most issues. There's also a
configuration within Gnome that sometimes goes amiss. You should be able to
google a resolution to that issue.

Either way, I'm pretty sure Ubuntu is no longer corrupting drives.

On Tue, Jul 13, 2010 at 2:15 AM, Dr. Anonymous <email address hidden>wrote:

> This
>
> s|̽̇͛ͭ̔̀͐͗͏́͞͏̜̬̞͇̗͕͈͉̀-̶̌͑ͯ͏̞̯̣̭͔̺̖̺̥̥͕͈͞|̖̭͎͇̤̩̹̖̭̖̦̟͔͍̜̩̘̊̃̽ͦ͗̈́ͬ̎̄̈̏̈́ͪͮ̀́̕ͅ|͇͔̲̰̯͎̣͉̮̟̝̥̲̄̂̓͐̏̄͑ͨ̿̑̉͌ͣ͜͠t̸͒ͧ̋ͭͮ̏̋ͧͧ͏̧̤̹̼̲̰
> is still problem these days.
>
>
> FIX IT ALREADY
>
> --
> USB Thumb Drive can't mount anymore in Hardy
> https://bugs.launchpad.net/bugs/211760
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Robert (robrwo) wrote :

In my case, the USB drives are not corrupted. Mac OS/X and Windows mounts
them. I did try reformatting them, but to no avail.

Dr. Anonymous (dr-anonymous) wrote :

>>53
Thank You for replying!

I would be happy, if this could be fixed this easily.
Sometimes the connection between the usb media and Ubuntu breaks with IO errors, or just there is no such media, etc.
It happens even/mostly when copying files from/to the usb storage; or it is just mounted, and I do not even clicked the usb storage's icon. (tried the fileoperations with Midnight Commander, but it is the same: not seems to be a Nautilus only bug ... but Nautilus manages the drives, and is running in the background ... maybe I will test this in KDE without any GNOME components running)
This happens randomly: there are sessions, where I just could not get/write a single bit on/from the media, because it drops too frequently. And there are sessions, where it works as it used to be (this is not so frequent). Did not get any ideas, why is this happenning.
Other usb devices, like mices, or scanners, works okay.
Oh, yeah: corrupted drives.
After some IO read-write error, sometimes the usb storage gets corrupted.
But Palimpsest's Filesystem Checking got fixed them.
The recovered files were always those files, which I wanted to put on the drive.

Next time, when I have issues, I will put some logs in here.

Thanks.

Jery Wang, thank you for reporting this bug to Ubuntu. Hardy Desktop reached EOL on May 12, 2011.
See this document for currently supported Ubuntu releases: https://wiki.ubuntu.com/Releases

Is this an issue in a supported release? If so, could you please execute the following command, as it will automatically gather debugging information, in a terminal:
apport-collect 211760

affects: ubuntu → linux (Ubuntu)
Changed in linux (Ubuntu):
importance: Undecided → Low
status: Confirmed → Incomplete
Po-Hsu Lin (cypressyew) wrote :

Please feel free to open a new bug report if you're still experiencing this on a newer release (Bionic 18.04.3 / Disco 19.04)
Thanks!

Changed in linux (Ubuntu):
status: Incomplete → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.